A person object contains personal identification information such as name, Social Security Number, address, phone number, and email address. It is one of the core entities in the Synctera platform: accounts, ACH, and cards are all tied to the person resource. A person also contains status attributes to manage its lifecycle. A person can progress from a prospect to an active customer to an inactive former customer.Documentation Index
Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
Use this file to discover all available pages before exploring further.
Person Creation Steps
The following steps walk you through the creation of a person and getting the person ready to use with other features such as Accounts, Cards, and ACH. The curl examples assume you have set up baseurl and apikey environment variables. See Need to Know for details: Some examples depend on identifiers generated by previous steps. These are indicated like .1. Create Person
To create a person, use POST /v2/persons. If you have only a subset of the identification (e.g. email but not name), create it withPROSPECT status:
id attribute. This is used for future GET, PATCH and DELETE requests, as well as to link this person to other objects like disclosures and accounts.
2. Disclosures
The next step when onboarding a customer is typically disclosing information to them, e.g. terms of service. See the Customer Disclosures section of this guide for more details. To record that person acknowledged the disclosure, use POST /v2/disclosures passing in the id of the person and the disclosure they acknowledged:3. Activating the Person
After gathering the rest of the identification, use PATCH /v2/persons/ to add the other data and move it toACTIVE status:
Note when listing persons, searching by first_name will search first_name and chosen_name fields.
4. Run KYC
While the new person has astatus of ACTIVE, their verification_status is still UNVERIFIED, so they will not be able to perform most banking activities. The next step is verify the person’s identity using a Know Your Customer (KYC) verification. See the KYC/KYB Verification guide for more details as well as descriptions of other types of verification and risk checks.
Run a verification using POST /v2/verifications/verify, e.g.:
verification_status will now be ACCEPTED. This can be checked by a GET /v2/persons/:
5. Use the Person with Other APIs
An active person can be used with other Synctera APIs:- The Accounts can create and manage accounts with the person as an account holder or authorized signer.
- The Cards API can create and manage credit or debit cards linked to the person.
- The Relationships API can link the person to a business as a beneficial owner or officer.
- The Watchlists API can link a person with one or more watchlist monitoring subscriptions so that you can check for a person’s presence on security risk watchlists.
Person Status Attributes
The person object contains two status attributes:statusis an editable attribute representing the administrative state of the person. The integrator can use this to indicate whether they consider the person to be active, dormant, etc.verification_statusis a read-only attribute representing the results of the verification process. This is updated by the Synctera platform when verification actions, e.g. KYC checks, are performed.
status and verification_status attributes.
Person Status
The person object’s status attribute can have the following values. It is up to the integrator to decide what they consider anACTIVE, FROZEN or INACTIVE customer.
Note that all states other than ACTIVE are restricted and do not allow most banking operations.
| Status Value | Description |
|---|---|
| ACTIVE | An active customer |
| DECEASED | The person is deceased |
| DENIED | The customer was turned down |
| DORMANT | The person is inactive due to an extended period without any transactions |
| ESCHEAT | The person’s assets are abandoned and are property of the state |
| FROZEN | The person’s actions are blocked for security, legal, or other reasons |
| INACTIVE | The person is marked as no longer active, e.g. a former customer |
| PROSPECT | A potential customer, used for information-gathering and disclosures |
PROSPECT. Typical state transitions are:
Verification Status
In order to initiate transactions, an active person must also pass verification. There are different types of verification, including Know Your Customer (KYC) and watchlists. Note that all states other thanACCEPTED are restricted and do not allow most banking operations.
| Verification Status Value | Description |
|---|---|
| ACCEPTED | The person is successfully verified |
| PENDING | The person’s verification is in progress |
| PROVISIONAL | The person is partially verified or verified with restrictions |
| REJECTED | The person was rejected |
| REVIEW | The persons’s verification has run and issues have been identified which require review |
| UNVERIFIED | The person’s verification has not been completed |

